# code-editor-yaml

基于 vue2 和 codeMirror 的 yaml 编辑器，业务使用

## 安装

```bash
npm i @iamzzg/code-editor-yaml -S
```

## 使用

1. 全局注册组件

```js
import codeYamlEditor from "@iamzzg/code-editor-yaml"
import "@iamzzg/code-editor-yaml/dist/code-editor-yaml.css"

import Vue from "Vue"

Vue.use(codeYamlEditor) // 全局注册组件
```

2. 局部注册组件

```js
import { CodeEditor } from "@iamzzg/code-editor-yaml"
import "@iamzzg/code-editor-yaml/dist/code-editor-yaml.css"
;<CodeEditor ref="code" v-model="YamlValues" mode="yaml" />
```

3. 属性
   mode:'yaml' 表示使用 yaml
   value: '' 表示 yaml 字符串
4. 方法
   getCodeMirrorEditorValue 获取编辑器此时的 yaml 字符串
